/*************************************************
*           BK Emulator v3.8 for Windows         *
*************************************************/

/*
File: DDrawWindow.cpp
Version: 1.0.0
Written by: Yuriy Kalmykov <kalmykov@stoik.com>
    Copyright (c) 2002-2004 Yuriy Kalmykov

    BK Emulator is a program emulated hardware environment for running
code for BK 0010(01) in different configurations.

    This code may be used in compiled form in any way you desire.
This file or it's parts can't be redistributed without the authors
written consent, but can be modified for your private needs.
    Providing that this notice and the authors name and all copyright
notices remains intact.

    Please, an email me to know how you are using it and where. You can
ask me for any information about this below code or any attendant
knowledge.

    This file is provided "as is" with no expressed or implied warranty.
The author accepts no liability for any damage or loss of business that
this product may cause.
*/


// DDrawWindow.cpp : implementation file
//

#include "stdafx.h"
#include "DDrawWindow.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDDrawWindow

CDDrawWindow::CDDrawWindow()
{
}

CDDrawWindow::~CDDrawWindow()
{
}


BEGIN_MESSAGE_MAP(CDDrawWindow, CWnd)
	ON_WM_SETFOCUS()
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDDrawWindow message handlers


void CDDrawWindow::OnSetFocus(CWnd *pOldWnd)
{
	CWnd::OnSetFocus(pOldWnd);
	AfxGetMainWnd()->SetFocus();
}


BOOL CDDrawWindow::PreCreateWindow(CREATESTRUCT &cs)
{
	cs.style |= WS_CLIPSIBLINGS | WS_CLIPCHILDREN;
	cs.lpszClass = AfxRegisterWndClass(CS_HREDRAW | CS_VREDRAW | CS_OWNDC | CS_SAVEBITS,
	                                   ::LoadCursor(NULL, IDC_ARROW), HBRUSH(::GetStockObject(BLACK_BRUSH)), NULL);
	return CWnd::PreCreateWindow(cs);
}
